<?php
 require_once('conf/dbc.php');
 require_once('conf/session_start.php'); 
require_once('conf/ban.php');
$page_title = 'Выдать бан';
require_once('conf/head.php');
if((!isset($_SESSION['id'])) and (!isset($_SESSION['nick']))) {
header('location: /');}
require_once('conf/top.php');

switch($_GET[act]){
default:
$user_id = abs(intval($_SESSION['id']));
$adm=$dbc->query("SELECT * FROM`users` WHERE`id`='$user_id'")->fetch_assoc();
if($adm['admin']<=0) {
header('location: /');}
$usid=intval($_GET['id']);
$usi=$dbc->query("SELECT * FROM`users` WHERE`id`='$usid'")->fetch_assoc();
if($adm[admin]<>1 and $usi[admin]==39){echo'Ухты чего захотел! Куда тебе банить администратора!';
require_once('conf/navig.php');
 require_once('conf/foot.php'); 
exit();
}
if($adm[id]<>1 and $usi[id]==1){echo'Ухты чего захотел! Куда тебе банить меня)))';
require_once('conf/navig.php');
 require_once('conf/foot.php'); 
exit();
}
$nick=$usi['nick'];
$ip=$usi['uip'];
$query = "Select * from users where id = '$usid' limit 1";
$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
$row = mysqli_fetch_array($result);
if(intval($_GET['id'])==0 or $row==0){echo'Игрок не выбран!';
require_once('conf/navig.php');
 require_once('conf/foot.php'); 
exit();
}
echo'<div style="background-color: #1E1E1E; margin-top: 4px;">
<p style="border-top:1px solid #444e4f;"></p>
<center><b>Дать бан сталкеру <span class="net">'.$nick.': </span></b></center><p style="border-top:1px solid #444e4f;"></p></div>';
$time=time();
$w=$dbc->query("SELECT * FROM us_ban where `usid` ='$usid' and `time` >'$time'")->fetch_assoc();
if(!empty($w[type])){echo'<div class="dot">
<center><b> <span class="red">Уже имеющиеся баны:</span></b></center></div>';}
$q = "Select * from us_ban where `usid` ='$usid' and `time` >'$time'";
      $q1 = mysqli_query($dbc, $q) or die ('Ошибка передачи запроса к БД');
	  while ($anka = mysqli_fetch_array($q1)) {
if($anka[type]=='forum'){$type='Бан форума';}elseif($anka[type]=='chat'){$type='Бан чата';}elseif($anka[type]=='ip'){$type='Бан по Ip';}elseif($anka[type]=='mail'){$type= 'Бан почты';}elseif($anka[type]=='game'){$type= 'Блокировка персонажа';}else{$type='error';}
echo'<div style="background-color: #1E1E1E; margin-top: 4px;">
<p style="border-top:1px solid #444e4f;"></p><center> '.$type.'';
$user_id = abs(intval($_SESSION['id']));
if($anka[usban]==''.$user_id.'' or $adm[admin]=='1'){
echo' [<a href="ban.php?id='.$usid.'&act=off_ban&bid='.$anka[id].'"><span class="bonus">x</span></a>]';}
echo'</center><p style="border-top:1px solid #444e4f;"></p></div>';}
echo'<div style="background:#000001 url(/img/dlfon.gif) repeat;">
<center><div class="r6"><span w:id="navigation"><div class="brunches-block">';
echo"<span class='white'>
  <label for='type'>Категория:</label><br />
<form action='?id=$usid&act=ban' method='POST'>
<select name='type' class='input' style='width: 90%;' size='1'>
<option value='' selected='selected'>Выбрать</option>";
$query = "Select * from  us_ban where `usid` ='$usid' and `time` >'$time' and `type` ='chat'";
$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
$chat = mysqli_fetch_array($result);
if($chat==0){echo"<option value='chat'>Чат</option>";}
$query = "Select * from  us_ban where `usid` ='$usid' and `time` >'$time' and `type` ='mail'";
$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
$mail = mysqli_fetch_array($result);
if($mail==0){echo"<option value='mail'>Почта</option>";}
$query = "Select * from  us_ban where `usid` ='$usid' and `time` >'$time' and `type` ='forum'";
$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
$forum= mysqli_fetch_array($result);
if($forum==0){echo"<option value='forum'>Форум</option>";}
$query = "Select * from  us_ban where `usid` ='$usid' and `time` >'$time' and `type` ='game'";
$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
$game= mysqli_fetch_array($result);
if($adm['admin']==1 and $game==0){echo"<option value='game'>Блокировка персонажа</option>";}
$query = "Select * from  us_ban where `usid` ='$usid' and `time` >'$time' and `type` ='ip'";
$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
$ip= mysqli_fetch_array($result);
if($adm['admin']==1 and $ip==0){echo"<option value='ip'>Ip</option>";}
echo"</select><br/>
  <label for='type'>Время:</label><br />
<form action='' method='POST'>
<select name='time' class='input' style='width: 90%;' size='1'>
<option value='1'>1 час</option>
<option value='3'>3 часа</option>
<option value='6'>6 часов</option>
<option value='24'>1 сутки</option>
<option value='72'>3 суток</option>
<option value='168'>неделя</option>
<option value='336'>2 недели</option>
<option value='672'>4 недели</option>
</select><br/>
  <label for='type'>Причина:</label><br />
<input type='text' name='prich' value='' style='width: 90%;' size='1'/><br/>
<input type='submit' name='ban' value='Забанить'/>
  </b></span></form></div></span></center></div>";
?><?php if ($adm['admin'] == 1 and $usi['ban'] == 0) {?>
<div class="r2"><a style="text-decoration:none;" href="moderator.php?profile=<?php echo "$usid"; ?>&type=8">Вечный бан</a></div><?php }?> <?php if($adm['admin'] == 1 and  $usi['ban'] == 1){?><span class="red"><div class="r2"><a style="text-decoration:none;" href="?id=<?php echo "$usid"; ?>&act=ban_of">Снять вечный бан</a></div></span><p><?php }
echo'<div class="r2"><a  style="text-decoration:none;" href="user.php?id='.$usid.'&vid=adm"><img src="inc/arrow.png">В админ-панель</a></div>';
break;
case 'ban':
$user_id = abs(intval($_SESSION['id']));
$usid=abs(intval($_GET['id'])); 

if(isset($_POST['time'])){
$usid=intval($_GET['id']);
$usi=$dbc->query("SELECT * FROM`users` WHERE`id`='$usid'")->fetch_assoc();
$nick=$usi['nick'];
$ip=$usi['uip'];
$prich=htmlentities($_POST['prich'], ENT_QUOTES, "UTF-8");
$time=time()+3600*$_POST['time'];
$type=$_POST['type']; 

if(empty($type)){echo'<div class="r6"><span class="red">Вы не выбрали категорию!</span><div class="r2"><img src="inc/arrow.png" ><a style="text-decoration:none;" href="ban.php?id='.$usid.'">Назад</a></div></br></div>';}
elseif(empty($prich)){echo'<div class="r6"><span class="red">Слишком короткая причина!</span><div class="r2"><img src="inc/arrow.png" ><a style="text-decoration:none;" href="ban.php?id='.$usid.'">Назад</a></div></br></div>';} 
else{
if($dbc->query("INSERT INTO `us_ban` (`usid`,`time`,`ip`,`prich`,`usban`,`type`)VALUES('$usid','$time','$ip','$prich','$user_id','$type')")){echo'Пользователь успешно заблокирован!';header('location: /blist.php?sok::baned');}else{echo'Ошибка блокировки пользователя';}
 header ('Location: ?id='.$usid.'&act=ban_ok');
  exit();
}
}
break;
case 'ban_ok':
$user_id = abs(intval($_SESSION['id']));
$usid=abs(intval($_GET['id'])); 
$query = $pdo->query("Select * from users where id = '$usid' limit 1");
$ban= $query->fetch();
echo"<font color='bonus'>Игрок <a  style='text-decoration:none;' href='user.php?id=".$usid."'>".$ban['nick']."</a> заблокирован</font>";
echo'<div class="r2"><a  style="text-decoration:none;" href="user.php?id='.$usid.'&vid=adm"><img src="inc/arrow.png">В админ-панель</a></div>';

break;
case'off_ban':
$id=intval($_GET['bid']);
$usid=abs(intval($_GET['id']));
$user_id = abs(intval($_SESSION['id']));
$adm=$dbc->query("SELECT * FROM`users` WHERE`id`='$user_id'")->fetch_assoc();
$ban=$dbc->query("SELECT * FROM`us_ban` WHERE`id`='$id'")->fetch_assoc();
if($ban[usban]<>''.$user_id.'' and $adm[admin]<>'1'){ header ('Location: ?id='.$usid.'');exit();}
$dbc->query("Delete from `us_ban` WHERE`id`='$id'");
header('location: ?id='.$usid.'');
break;
case'ban_of':
$usid=abs(intval($_GET['id']));
$user_id = abs(intval($_SESSION['id']));
$adm=$dbc->query("SELECT * FROM`users` WHERE`id`='$user_id'")->fetch_assoc();
if($adm[admin]<>'1'){ header ('Location: ban.php?id='.$usid.'');exit();}
$dbc->query("update users set ban= '0', why_ban = '0' where id='$usid' limit 1");
header('location: ban.php?id='.$usid.'');
break;
}
require_once('conf/navig.php');
 require_once('conf/foot.php'); 
mysqli_close($dbc);
 ?>